Description

Hello, I am using the employment history data and am interested in reasons of changing jobs. Am I right that a question on reasons

for leaving a job is MISSING in waves a-d of the UndSoc for one job spell, which is indexed by variable names with nxtjb? I guess

this is the next job spell after the one recorded at previous interview.

If I got the allocation of variable names to spells right, the sequence of spells is as follows:

w_empstend/w_jbend - the first spell (recorded during the previous interview), the question on reasons for leaving is

w_stendreas/w_jbendreas

w_nxtjb - the next employment spell, the question on reasons for leaving is w_nxtendreas, but it pops up only in wave e and later.

w_nextstat1 - the next spell, the question on reasons for leaving is w_reasend1

w_nextstat2 - the next spell etc., the question on reasons for leaving is w_reasend2 etc.

If would be very helpful if you confirmed that this question is indeed missing in earlier waves or told me the variable name, if I am

wrong.

With kind regards

Maria Pavlova

History

#1 - 10/14/2020 04:18 PM - Alita Nandi

- Assignee changed from Stephanie Auty to Maria Pavlova

- % Done changed from 0 to 50

Hello Maria,

You will need to follow the questions & their universe in the questionnaire to figure this out as we don't have any additional information about this. But

here is a resource that you may find helpful.

Liam Wright has created syntax files to produce employment history using BHPS and UKHLS data. Here is a link to his GitHub page where he has

deposited the Stata dofiles: https://github.com/ljwright/work-life-histories-ukhls-bhps. You can find all the project information on this webpage: 

https://osf.io/c3v9f/. For any questions about the code or the project please contact Liam Wright.

Best wishes,

Understanding Society User Support

Please let us know if you do not find this helpful.

Best wishes,

Understanding Society User Support

#2 - 10/22/2020 10:12 AM - Alita Nandi

- Status changed from New to Feedback

#3 - 10/13/2021 10:55 AM - Understanding Society  User Support Team

- Status changed from Feedback to Resolved

- Assignee deleted (Maria Pavlova)

- % Done changed from 50 to 100

#4 - 02/19/2026 06:27 PM - Understanding Society  User Support Team

- Assignee set to Understanding Society  User Support Team

- Private changed from Yes to No
